package com.yinet.system.domain;

import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 【请填写功能名称】对象 bjlb
 *
 * @author yinet
 * @date 2020-04-22
 */
public class Bjlb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 办理事项 */
    @Excel(name = "办理事项")
    private String matters;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String firmName;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 进度 */
    @Excel(name = "进度")
    private String progress;


    /** 添加时间 */
    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMatters(String matters)
    {
        this.matters = matters;
    }

    public String getMatters()
    {
        return matters;
    }
    public void setFirmName(String firmName)
    {
        this.firmName = firmName;
    }

    public String getFirmName()
    {
        return firmName;
    }
    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    public String getProjectName()
    {
        return projectName;
    }
    public void setProgress(String progress)
    {
        this.progress = progress;
    }

    public String getProgress()
    {
        return progress;
    }
    public void setSubmitTime(Date submitTime)
    {
        this.submitTime = submitTime;
    }

    public Date getSubmitTime()
    {
        return submitTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("matters", getMatters())
                .append("firmName", getFirmName())
                .append("projectName", getProjectName())
                .append("progress", getProgress())
                .append("submitTime", getSubmitTime())
                .toString();
    }
}
